<template functional>
  <div
    :ref="data.ref"
    class="flex justify-start items-center"
    :class="[props.iconStyle.alignment, data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <div
      class="flex-shrink-0 flex justify-center items-center overflow-hidden mr-4 md:mr-8"
      :class="[
        { 'rounded-full shadow-xl': props.iconStyle.rounded },
        props.iconStyle.colors.bg,
      ]"
      style="height: 6.5rem; width: 6.5rem"
    >
      <svg-icon
        :icon="props.icon"
        :class="[
          { 'h-16 w-16': props.iconStyle.rounded },
          { 'h-full w-full': !props.iconStyle.rounded },
          props.iconStyle.colors.fg,
        ]"
      />
    </div>
    <div class="h5">{{ props.label }}</div>
  </div>
</template>

<script>
export default {
  name: 'FeatureItem',
  props: {
    icon: { type: String, required: true },
    iconStyle: {
      type: Object,
      default: () => ({
        alignment: 'lg:items-center',
        rounded: false,
        colors: { fg: undefined, bg: undefined },
      }),
    },
    label: { type: String, required: true },
  },
};
</script>
